ColumnFamilyStore.CacheType (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.db
Enum ColumnFamilyStore.CacheType

    java.lang.Object
      java.lang.Enum<ColumnFamilyStore.CacheType>
          org.apache.cassandra.db.ColumnFamilyStore.CacheType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ColumnFamilyStore.CacheType>

Enclosing class:
  ColumnFamilyStore

    public static enum ColumnFamilyStore.CacheType

extends java.lang.Enum<ColumnFamilyStore.CacheType>

Enum Constant Summary
`KEY_CACHE_TYPE`
`ROW_CACHE_TYPE`

Field Summary
`java.lang.String` | `name`

Method Summary
`java.lang.String` | `toString()`
`static ColumnFamilyStore.CacheType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ColumnFamilyStore.CacheType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KEY_CACHE_TYPE

    public static final ColumnFamilyStore.CacheType KEY_CACHE_TYPE

### ROW_CACHE_TYPE

    public static final ColumnFamilyStore.CacheType ROW_CACHE_TYPE

Field Detail

### name

    public final java.lang.String name

Method Detail

### values

    public static ColumnFamilyStore.CacheType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ColumnFamilyStore.CacheType c : ColumnFamilyStore.CacheType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ColumnFamilyStore.CacheType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ColumnFamilyStore.CacheType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 The Apache Software Foundation